List repositories
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
50query?|nullprovider?|Return only repositories registered from this provider.
full_name?|Exact, case-insensitive owner/name match, for example the value of GitHub Actions' GITHUB_REPOSITORY.
Successful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories'Example Response
{ "has_more": false, "items": [ { "archived": true, "clone_url": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "criticality": 0, "default_branch": "string", "enabled": true, "frameworks": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "languages": [ { "name": "string", "share": 0 } ], "name": "string", "owner": "string", "private": true, "provider": "github", "provider_repository_id": "string", "web_url": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "next_cursor": "string"}